package com.diagbot.facade;

import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.dto.DisScaleDTO;
import com.diagbot.entity.wrapper.ConceptWrapper;
import com.diagbot.enums.LexiconRSTypeEnum;
import com.diagbot.enums.LexiconTypeEnum;
import com.diagbot.service.impl.DisScaleServiceImpl;
import com.diagbot.vo.DisScaleVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 诊断量表
 * @author: zhoutg
 * @time: 2015/05/05 13:19
 */
@Component
public class DisScaleFacade extends DisScaleServiceImpl {

    @Autowired
    ConceptFacade conceptFacade;

    /**
     * 返回诊断量表列表
     *
     * @return
     */
    public List<DisScaleDTO> getDisScaleFac(DisScaleVO disScaleVO) {
        // 入参数据封装
        ConceptWrapper conceptWrapper = new ConceptWrapper();
        conceptWrapper.setStartName(disScaleVO.getDisName());
        conceptWrapper.setStartType(LexiconTypeEnum.DIAGNOSIS.getKey());
        conceptWrapper.setEndType(LexiconTypeEnum.GAUGE.getKey());
        conceptWrapper.setRelationType(LexiconRSTypeEnum.ORDER_BY.getKey());
        List<ConceptWithOrderRes> list = conceptFacade.getConceptWithOrder(conceptWrapper);

        // 出参数据封装
        List<DisScaleDTO> res = new ArrayList<>();
        for(ConceptWithOrderRes bean : list) {
            DisScaleDTO dto = new DisScaleDTO();
            dto.setName(bean.getEndName());
            dto.setConceptId(bean.getEndId());
            res.add(dto);
        }
        return res;
    }
}
